'use strict';

//charge la resource myserve.js
const myserver = require("./myserver.js");

//instancie un novel ojbjet myserver.UDP avec prfix vide
var srvudp = new myserver.UDP("xx");
var Data = [];

//ouvre le port 5000 en udp
srvudp.Open("0.0.0.0", 5000);

//affiche les evenements "server"
srvudp.Events.on("server",  (data) => {
    console.log(data);
});

//traite les donnes entrantes
srvudp.Events.on("data", (data, udpinfo) => {
    //affiche les donnes entrantes et la provenance
    console.log("Data From " + udpinfo.address + ":" + udpinfo.port + ": " + data);
    //dire merci au client
    srvudp.Send("Merci ...", udpinfo.address, udpinfo.port);
    //initialisation des donnes Data[]
    Data[0] = Math.round(data / 1000);
    Data[1] = Math.round(data % 1000);
});


//Affiche les valeurs du tableau Data toutes les 1.3 secondes
setInterval(function () {
    console.log(Data);
}, 1300);